<div [class]="isVisible ? 'dialog ' + size : 'hidden'">
    <div class="dialog-header">
      <span class="dialog-title">{{title}}</span>
      <div class="close-button" (click)="close()">
        <span>x</span>
      </div>
    </div>
    <div class="dialog-content-outer">
      <div class="dialog-content">
        <ng-content></ng-content>
      </div>
    </div>
  </div>
  <div [class]="isVisible ? 'dialog-overlay' : 'hidden'"></div>
  